Tutorial para Downgrade de 1.6 a 1.5 en tu android

Como ya sabéis, para poder rootear vuestra Magic/Dream debéis primero tener Android 1.5 para luego aplicar este método. El problema viene cuando los nuevos terminales vienen con un nuevo SPL que es imposible de hackerar: el Perfect SPL. Pero a continuación veremos cómo no es tan complicado

¿Tengo el Perfect SPL?


fastbootReinicia tu teléfono aguantando la FLECHA ATRÁS y entrarás en modo fastboot.
Fíjate en la línea subrayada. Si pone
HBOOT-1.33.0006, HBOOT-1.33.0010 o HBOOT-1.33.0014
malas noticias, significa que tienes el Perfect SPL. Si tienes otro número enhorabuena😀

Método fácil para los que NO tienen el Perfect SPL

1. Bajas esto http://www.megaupload.com/?d=BLM4EDGE
2. Cambias el nombre a sappimg.nbh (asegúrate de que es ese y no
sappimg.nbh.nbh o otro, para ello en Opciones de Carpeta–>Ver–>
Ocultar las Extensiones de los archivos <- NO)
3. Pones este archivo en tu SD, en ninguna carpeta, directamente en la SD
4. Reinicias el teléfono aguantando el Volumen Abajo y Encender
5. Con la ruedecita bajas hasta encontrar el Sappimg.nbh y lo
seleccionas haciendo click
6. Cuando se completa, reinicia el teléfono.

Si al hacer este proceso te sale un error del tipo, “Versión antigua”
o algo por el estilo entonces es más complicado
Luego seguir los pasos usuales para conseguir Root.

Método complicada para los que tienen Perfect SPL


Aviso: para las manipulaciones necesitas el SDK funcionando perfectamente


1. Crear una Gold Card. Para ello utilizad el magnífico tutorial de JoinMA
Ir al link original: http://www.htcmania.com/showpost.php?p=665709&postcount=162

2. Descargar 2 archivos

  • Radio ota-radio-2_22_19_26I.zip desde HTC
  • Recovery Img de Amon-RA (que sea la versión G) desde XDA
3. Se descomprime en la carpeta tools. Vuelves a reiniciar en modo fastboot y desde la consola escribes

fastboot flash radio radio.img

fastboot erase system -w
fastboot erase boot
fastboot erase recovery
fastboot flash recovery recovery-RA-magic-v1.2.5G.IMG
4. Listo, ya eres root😀

17 Responses to “Tutorial para Downgrade de 1.6 a 1.5 en tu android”

  1. Reset Reboot Says:

    Vale, la pregunta es, ¿cual es la utilidad del SPL? (Conozco la del recovery, la ROM y la radio).

    Si ya tengo a mi amigo Cyanogen instalado… ¿me merece la pena instalar un SPL modificado?

  2. Adrian Latorre Says:

    Reset Reboot, Si ya tienes Cyanogen instalado, no necesitas nada. Toto esto es para poder ser root si dispones de un terminal nuevecito.

  3. Anonymous Says:

    Umm, yo vengo utilizando un metodo mas sencillo.

    Bajaos el ejecutable “fastboot” (para windows o Linux) y una imagen cm-recovery (yo tengo la cm-recovery-1.4).

    Conectad el USB y arrancad el movil con atras pulsado para entrar en modo fastboot. En este modo podemos enviarle al telefono por USB una imagen para que arranque.

    Esto es facil, ya que estando en modo fastboot solo hay que ejecutar “fastboot boot cm-recovery-1.4.img” y ya esta, habremos arrancado el fabuloso menu que nos permite hacer wipe, nandroid backup/restore, aplicar roms…

    Yo lo estoy usando con una Magic en 1.6 de las primeras (no lleva Perfect SPL)

  4. Polo Says:

    No me funciona este metodo, tengo una Magic de las primeras con Android 1.6 i cuando hago lo del el sappimg.nbh me dice que ha fallado la instalación

    Que hago quiero rootear ya mi Magic!!

  5. Adrian Latorre Says:

    Polo, has mirado si tienes el Perfect SPL??

  6. Anonymous Says:

    A mi me pasa como ha Polo, no tengo una perfect Spl y tambien me dice que ha fallado la instalcion.

    ¿sera ese el mensaje que decias que podria salirnos y de ser asi era mas dificil?

    En que consiste el downgrade para los que no somos Perfect SPL y nos de error tambien este metodo?

  7. Polo Says:

    No tengo Perfect SPL, no se porque no me deja instalar eso

  8. Daniel J Narbona Says:

    Cual tienes @Polo?

  9. polo Says:

    tengo lo mismo que pone en la imagen del principio

  10. Polo Says:

    A ver como puede ser que realizando los pasos que indicais en el manual i teniendo el boot igual que el de la imagen que mostrais al principio del post no me funcione, me da un error que pone “Model ID incorrect!, Update Fail!”

    No entiendo si se supone que no tengo perfect spl, que pasa?

    Porfavor alguno de vosotros puede ayudarme.

    Gracias

  11. Juanfra Says:

    Me surge una preguntilla al leer este tutorial. Si cuando nos llegue la actualización vía OTA de Vodafone nos pasamos al 2.1 (o 2.0.1, la que sea), ¿podremos ser root después de eso? ¿Hay o habrá un método para downgradear la Magic desde 2.1?

    El caso es que me gustaría probar el 2.1 antes de meterle mano a la Magic a fondo con el tema de ROMs y demás.

    Gracias de antemano por la ayuda. ¡Gran web!

  12. Juanfra Says:

    Se me olvidó indicar que no tengo el Perfect SPL, sino éste: HBOOT-1.33.0004

  13. Adrian Latorre Says:

    Juanfra, Igual que con 1.6 también hubo root, supongo que con 2.1 lo habrá…lo que no sé es cuándo ni si será fácil.

    El mundo de las ROMs es muy extenso así que yo lo haría al revés, primero meterle mano a las ROMs y luego al 2.1 (que te podrás instalar y aparte, saldrán un montón de ROMs nuevas con 2.1)…

  14. Juanfra Says:

    ¿Pero puedo instalar luego la 2.1 aunque esté rooteada? Habría que dejarla como al principio, como de fábrica, supongo, ¿no?

    Gracias por tu respuesta, aunque no respondas esta última “de pesao”. Supongo que me lanzaré a ello. El mundillo me recuerda a los comienzos de la scene de la PSP… xDD

  15. Adrian Latorre Says:

    Si está rooteada supongo que habrá varias opciones

    -Instalarla tal cual (porque te la has de descargar de htc a fin de cuentas)
    -“Desrootear” la Magic rooteada (se puede hacer, efectivamente)
    -Al salir el código de 2.1, habrán muchas ROMs con 2.1 que funcionarán muy bien e incluso mejor que la oficial

  16. Juanfra Says:

    Pues me pondré con ello. Muchísimas gracias, sobre todo sabiendo que esto es un blog, que son comentarios y no un foro de ayuda.

    Gracias.

  17. Juanfra Says:

    Me pone lo mismo que a Polo: “Model ID incorrect”

    ¿Alguna solución?

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s


%d bloggers like this: